# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-06-18 13:10
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import smarttv.droideka.proxy.models


class Migration(migrations.Migration):

    dependencies = [
        ('proxy', '0013_auto_20200618_1556'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryExtended',
            fields=[
                ('category_id', models.CharField(max_length=64, primary_key=True, serialize=False, verbose_name='ID категории')),
                ('title', models.CharField(max_length=128, verbose_name='Имя категории')),
                ('icon_s3_key', models.TextField(blank=True, default='', verbose_name='Key S3 иконки')),
                ('rank', models.IntegerField(verbose_name='Позиция в выдаче')),
                ('thumbnail_s3_key', models.TextField(blank=True, null=True, verbose_name='Ключ S3 превью')),
                ('logo_s3_key', models.TextField(blank=True, default='', verbose_name='Ключ S3 логотипа')),
                ('banner_S3_key', models.TextField(blank=True, default='', verbose_name='Key S3 баннера')),
                ('description', models.TextField(blank=True, default='', verbose_name='Описание категории')),
                ('content_type', models.TextField(blank=True, default='', verbose_name='Тип категории')),
                ('above_platforms', models.ManyToManyField(related_name='proxy_categoryextended_above_platforms', related_query_name='proxy_categoryextendeds_above', to='proxy.PlatformModel')),
                ('below_platforms', models.ManyToManyField(related_name='proxy_categoryextended_below_platforms', related_query_name='proxy_categoryextendeds_below', to='proxy.PlatformModel')),
                ('exclude_platforms', models.ManyToManyField(related_name='proxy_categoryextended_exclude_platforms', related_query_name='proxy_categoryextendeds_exclude', to='proxy.PlatformModel')),
                ('include_platforms', models.ManyToManyField(related_name='proxy_categoryextended_include_platforms', related_query_name='proxy_categoryextendeds_include', to='proxy.PlatformModel')),
                ('parent_category', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='proxy.CategoryExtended')),
            ],
            options={
                'verbose_name_plural': 'Extended published categories',
                'ordering': ('rank',),
            },
        ),
        migrations.CreateModel(
            name='CategoryExtendedEditable',
            fields=[
                ('category_id', models.CharField(max_length=64, primary_key=True, serialize=False, verbose_name='ID категории')),
                ('title', models.CharField(max_length=128, verbose_name='Имя категории')),
                ('icon_s3_key', models.TextField(blank=True, default='', verbose_name='Key S3 иконки')),
                ('rank', models.IntegerField(verbose_name='Позиция в выдаче')),
                ('thumbnail_s3_key', models.TextField(blank=True, null=True, verbose_name='Ключ S3 превью')),
                ('logo_s3_key', models.TextField(blank=True, default='', verbose_name='Ключ S3 логотипа')),
                ('banner_S3_key', models.TextField(blank=True, default='', verbose_name='Key S3 баннера')),
                ('description', models.TextField(blank=True, default='', verbose_name='Описание категории')),
                ('content_type', models.TextField(blank=True, default='', verbose_name='Тип категории')),
                ('visible', models.BooleanField(default=True)),
                ('above_platforms', models.ManyToManyField(related_name='proxy_categoryextendededitable_above_platforms', related_query_name='proxy_categoryextendededitables_above', to='proxy.PlatformModel')),
                ('below_platforms', models.ManyToManyField(related_name='proxy_categoryextendededitable_below_platforms', related_query_name='proxy_categoryextendededitables_below', to='proxy.PlatformModel')),
                ('exclude_platforms', models.ManyToManyField(related_name='proxy_categoryextendededitable_exclude_platforms', related_query_name='proxy_categoryextendededitables_exclude', to='proxy.PlatformModel')),
                ('include_platforms', models.ManyToManyField(related_name='proxy_categoryextendededitable_include_platforms', related_query_name='proxy_categoryextendededitables_include', to='proxy.PlatformModel')),
                ('parent_category', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='proxy.CategoryExtendedEditable')),
            ],
            options={
                'verbose_name_plural': 'Extended editable categories',
                'ordering': ('rank',),
            },
            bases=(models.Model, smarttv.droideka.proxy.models.EditableModelMixin),
        ),
    ]
