PY3TEST()

OWNER(g:smarttv)

ENV(DJANGO_SETTINGS_MODULE=smarttv.droideka.tests.settings)

PEERDIR(
    contrib/python/django/django-2.2
    contrib/python/djangorestframework
    contrib/python/django-test-migrations
    contrib/python/mock
    contrib/python/pytest
    contrib/python/pytest-django
    contrib/python/requests-mock
    contrib/python/pytest-responses
    contrib/python/pytest-mock

    plus/utils

    smarttv/droideka
    smarttv/droideka/proxy
    smarttv/droideka/utils
)

PY_SRCS(
    settings.py
    helpers.py
    mock.py
)

TEST_SRCS(
    test_api.py
    test_blackbox_client.py
    test_chaining.py
    test_chaining_filtration.py
    test_migrations.py
    test_player_detector.py
    test_suw.py
    test_serializers.py
    test_vh_id_logger.py
    test_data_source.py
    test_video_search_id_logger.py
    test_helpers.py
    test_macs_import.py
    test_patch_search_collection_images.py
    test_sync_programs.py
    test_shared_prefs.py
    test_categories_provider.py
    test_admin.py
    test_experiments.py
    test_utils.py
    test_utils_strings.py
    test_platform_model.py
    test_download_programs.py
    test_carousels.py
    test_views.py
    test_channels.py
    test_force_sync_view.py
    test_search.py
    test_series.py
    test_platform_info.py
    test_avatars_image_generator.py
    test_common.py
    test_category_patcher.py
    test_result_builder.py
    test_decorators.py
    test_smotreshka.py
    test_service_params.py
)

SIZE(MEDIUM)

INCLUDE(${ARCADIA_ROOT}/antiadblock/postgres_local/recipe/recipe.inc)

NO_CHECK_IMPORTS()

END()
